author:
  name: Tim Olson
  email: tim@dexorder.com

constants:
  # This is our median gas cost for a 20-asset pool. Gas varies by pool size from 120k to 200k.
  protocol_gas: 147238
  capabilities:
    - SellSide
    - PriceFunction
    - MarginalPrice

contract: LiquidityPartySwapAdapter.sol

# Deployment instances used to generate chain specific bytecode.
instances:
  - chain:
      name: sepolia
      id: 11155111
    arguments:
      - "0x77C29B1790D18A3AD269BcE09b7dB1074911Dcb6"  # PartyPlanner
      - "0x784BA6cD19B484bEE9Cee880B18b57fC6e8b2D5c"  # PartyInfo

# We do implement getPoolIds() and getTokens(), so explicit swap tests are not needed.
tests: {}
